[CRIU] [PATCH] test: don't skip errors if someone fails
Andrey Vagin
avagin at openvz.org
Mon Apr 1 10:27:31 EDT 2013
Signed-off-by: Andrey Vagin <avagin at openvz.org>
---
test/Makefile | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/test/Makefile b/test/Makefile
index 3b64a19..df46688 100644
--- a/test/Makefile
+++ b/test/Makefile
@@ -6,7 +6,7 @@ EXP = '^ns/(?!.*(tty|pty))'
zdtm: .FORCE
$(MAKE) zdtm_ns
for t in $(shell echo "$(TST)" | tr ' ' '\n' | grep -Pv $(EXP)); do \
- $(MAKE) $$t; \
+ $(MAKE) $$t || break; \
done
zdtm_ns: $(shell echo "$(TST)" | tr ' ' '\n' | grep -P $(EXP))
--
1.7.11.7
More information about the CRIU
mailing list